<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true"
        android:orientation="vertical">

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/leftGuideLine"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent=".05" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/rightGuideLine"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent=".95" />

        <include
            android:id="@+id/toolbar"
            layout="@layout/include_toolbar_no_status" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="start|center"
            android:layout_marginTop="4dp"
            android:fontFamily="@font/inter_bold"
            android:gravity="start|center"
            android:text="@string/password_reset"
            android:textColor="@color/black"
            android:textSize="34sp"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/toolbar" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/onboardingWelcomeBack"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:fontFamily="@font/inter_regular"
            android:gravity="start|center"
            android:text="@string/forgot_password_description"
            android:textColor="@color/black"
            android:textSize="17sp"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/title" />

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/etUsernameLayout"
            style="@style/BaseInputLayout"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:hint="@string/username"
            app:endIconMode="clear_text"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/onboardingWelcomeBack">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/etUsername"
                style="@style/BaseEditText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:fontFamily="@font/inter_regular"
                android:imeOptions="actionGo"
                android:maxLines="1"
                android:textColor="@color/black"
                android:textSize="17sp"
                tools:text="baseplate@appetiser.com.au">

                <requestFocus />
            </com.google.android.material.textfield.TextInputEditText>

        </com.google.android.material.textfield.TextInputLayout>

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/btnContinue"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginBottom="16dp"
            android:alpha=".3"
            android:background="@drawable/btn_rounded_gradiant"
            android:enabled="false"
            android:fontFamily="@font/inter_medium"
            android:gravity="center"
            android:text="@string/continue_string"
            android:textAllCaps="true"
            android:textColor="@color/white"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>